Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 412363 - net-libs/libproxy-0.4.7 with gcc-4.7 - In member function 'char* libproxy::url::get_pac()': .../work/libproxy-0.4.7/libproxy/url.cpp:398:37: error: 'read' was not declared in this scope
Summary: net-libs/libproxy-0.4.7 with gcc-4.7 - In member function 'char* libproxy::ur...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Unspecified (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Freedesktop bugs
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: gcc-4.7
  Show dependency tree
 
Reported: 2012-04-17 16:02 UTC by iGentoo
Modified: 2012-05-26 08:57 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,33.91 KB, text/plain)
2012-04-17 16:02 UTC, iGentoo
Details
upstream patch for gcc 4.7 (libproxy-0.4.7-gcc47.patch,2.21 KB, patch)
2012-05-25 14:03 UTC, Philipp Richter
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description iGentoo 2012-04-17 16:02:28 UTC
Created attachment 309279 [details]
build.log

/var/tmp/portage/net-libs/libproxy-0.4.7/work/libproxy-0.4.7/libproxy/url.cpp: In member function 'char* libproxy::url::get_pac()':
/var/tmp/portage/net-libs/libproxy-0.4.7/work/libproxy-0.4.7/libproxy/url.cpp:398:37: error: 'read' was not declared in this scope
/var/tmp/portage/net-libs/libproxy-0.4.7/work/libproxy-0.4.7/libproxy/url.cpp:423:13: error: 'close' was not declared in this scope
/var/tmp/portage/net-libs/libproxy-0.4.7/work/libproxy-0.4.7/libproxy/url.cpp:439:13: error: 'close' was not declared in this scope


Portage 2.2.0_alpha100 (hardened/linux/amd64/selinux, gcc-4.7.0, glibc-2.15, 3.4.0-rc3-custom x86_64)
=================================================================
                        System Settings
=================================================================
System uname: Linux-3.4.0-rc3-custom-x86_64-Intel-R-_Core-TM-2_Quad_CPU_Q9300_@_2.50GHz-with-gentoo-2.1
Timestamp of tree: Tue, 17 Apr 2012 15:15:01 +0000
ccache version 3.1.7 [disabled]
app-shells/bash:          4.2_p24
dev-java/java-config:     2.1.11-r3
dev-lang/python:          2.7.3, 3.2.2-r1
dev-util/ccache:          3.1.7
dev-util/cmake:           2.8.7-r5
dev-util/pkgconfig:       0.26
sys-apps/baselayout:      2.1
sys-apps/openrc:          0.9.9.3
sys-apps/sandbox:         2.5
sys-devel/autoconf:       2.13, 2.68
sys-devel/automake:       1.11.5
sys-devel/binutils:       2.22-r1
sys-devel/gcc:            4.6.3::hardened-dev, 4.7.0::hardened-dev
sys-devel/gcc-config:     1.7
sys-devel/libtool:        2.4.2
sys-devel/make:           3.82-r3
sys-kernel/linux-headers: 3.3 (virtual/os-headers)
sys-libs/glibc:           2.15::custom
Repositories: gentoo systemd hardened-dev custom
Installed sets: @custom-initramfs-rebuild, @custom-protected, @custom-selibs-rebuild
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-Wall -Wextra -march=native -pipe -O3 -fno-tree-vectorize"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /var/bind"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/splash /etc/terminfo"
CXXFLAGS="-Wall -Wextra -march=native -pipe -O3 -fno-tree-vectorize"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--quiet-build=n"
FEATURES="assume-digests binpkg-logs collision-protect distlocks ebuild-locks fixlafiles multilib-strict news parallel-fetch preserve-libs protect-owned sandbox selinux sesandbox sfperms split-elog split-log strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync webrsync-gpg xattr"
FFLAGS=""
GENTOO_MIRRORS="http://mirrors.163.com/gentoo http://distfiles.gentoo.org"
LANG="en_US.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed -Wl,--hash-style=gnu -Wl,--sort-common -Wl,--sort-section=alignment"
LINGUAS="en en_US zh zh_CN"
MAKEOPTS="V=1 -j10"
PKGDIR="/usr/portage/packages"
PORTAGE_COMPRESS="xz"
PORTAGE_COMPRESS_FLAGS="-9ef"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/systemd /var/lib/layman/hardened-development /usr/local/portage"
SYNC="rsync://mirrors.xmu.edu.cn/gentoo-portage"
USE="X acl alsa amd64 audit bash-completion berkdb bzip2 c++0x cairo caps cli cracklib crypt cxx dbus dri gdbm gmp gnome gpm gtk gtk3 hardened iconv ipv6 jit jpeg jpeg2k justify mmx modules mudflap multilib ncurses nls nptl nptlonly open_perms opengl openmp pam pcre png pppd pulseaudio qt4 readline selinux session sse sse2 ssl svg sysfs systemd tcpd threads tiff unicode urandom vim-syntax xattr xinetd xorg zlib" ALSA_CARDS="hda-intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" DRACUT_MODULES="btrfs caps dmsquash-live gensplash livenet lvm nbd nfs plymouth ssh-client syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" GRUB_PLATFORMS="pc" INPUT_DEVICES="evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en en_US zh zh_CN" PHP_TARGETS="php5-3" QEMU_SOFTMMU_TARGETS="x86_64" RUBY_TARGETS="ruby18 ruby19" USERLAND="GNU" VIDEO_CARDS="nouveau nvidia" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON

=================================================================
                        Package Settings
=================================================================

net-libs/libproxy-0.4.7 was built with the following:
USE="gnome (multilib) (selinux) -kde -mono -networkmanager -perl -python -test"
Comment 2 Gilles Dartiguelongue gentoo-dev 2012-04-18 06:33:16 UTC
It's cool to start working on gcc-4.7, but right now, it is not even in tree :)
Comment 3 Brandon Penglase 2012-05-25 13:30:22 UTC
Well I upgraded to GCC 4.7 yesterday and started recompiling everything. Ran into this, and applied just the url.cpp patch from upstream, and it compiled cleanly. So bumping this bug as it is now in the main tree.
Comment 4 Philipp Richter 2012-05-25 14:03:53 UTC
Created attachment 313041 [details, diff]
upstream patch for gcc 4.7
Comment 5 Alexandre Rostovtsev (RETIRED) gentoo-dev 2012-05-26 08:57:25 UTC
Fixed, thanks for finding the patch.

>  26 May 2012; Alexandre Rostovtsev <tetromino@gentoo.org>
>  libproxy-0.4.7.ebuild, +files/libproxy-0.4.7-gcc-4.7.patch:
>  Fix building with gcc-4.7 (bug #412363, thanks to Alphat-PC, Philipp Richter
>  et al.)